r40 - regression_tests/bin

erik at minisip.org erik at minisip.org
Mon Nov 20 10:08:17 CET 2006


Author: erik
Date: 2006-11-20 10:08:16 +0100 (Mon, 20 Nov 2006)
New Revision: 40

Modified:
   regression_tests/bin/regression_test.sh
Log:

 * Improved regression testing output:
   If the test did not complete successfully (crash or return with error
   code), we got a line saying that it did not complete successfully, but
   there was no indication to what the problam was. Now we should get
   build and test output in the detailed section of the regression test.




Modified: regression_tests/bin/regression_test.sh
===================================================================
--- regression_tests/bin/regression_test.sh	2006-11-19 15:23:49 UTC (rev 39)
+++ regression_tests/bin/regression_test.sh	2006-11-20 09:08:16 UTC (rev 40)
@@ -28,7 +28,7 @@
     cd $LIB
     echo "" >&2
     echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-    ./bootstrap && ./configure prefix=$PREFIX && make -j2 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >> $BASE/report.summary && exit 1 ; }
+    ./bootstrap && ./configure --enable-dropemul prefix=$PREFIX && make -j2 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >> $BASE/report.summary && exit 1 ; }
     cd .. 
 done
 
@@ -65,12 +65,14 @@
 		let N_FAIL=${N_FAIL}+1
 
 		printf "%40s " $t >> $BASE/report.summary
-		echo "TEST DID NOT COMPLETE" >> $BASE/report.summary ;
+		echo "test returned an error code" >> $BASE/report.summary ;
 
 		echo "" >> $BASE/report.details
 		echo "========== $t ===========" >> $BASE/report.details
-		echo build_output >> $BASE/report.details
-		echo "The test did not complete successfully">> $BASE/report.details
+		echo Build: >> $BASE/report.details
+		cat build_output >> $BASE/report.details
+		echo Test output: >> $BASE/report.details
+		cat test_output >> $BASE/report.details
 		echo "" >> $BASE/report.details ;
 	fi ; 
 done



More information about the Minisip-devel mailing list